Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.ember
Class EmberTransportChannelFactory

    java.lang.Object
      org.codehaus.activemq.transport.ember.EmberSupport
          org.codehaus.activemq.transport.ember.EmberTransportChannelFactory

All Implemented Interfaces:
  TransportChannelFactory

public class EmberTransportChannelFactory
extends EmberSupport
implements TransportChannelFactory

An EmberIO (using NIO) implementation of a TransportChannelFactory

Version:
  $Revision: 1.8 $

Field Summary
`protected static Log` | `log`

Constructor Summary
`EmberTransportChannelFactory()`
`EmberTransportChannelFactory(pyrasun.eio.EIOGlobalContext context, pyrasun.eio.EIOPoolingStrategy ioPoolingStrategy)`

Method Summary
`TransportChannel` | `create(WireFormat wireFormat, java.net.URI remoteLocation)` Create a Channel to a remote Node - e.g.
`TransportChannel` | `create(WireFormat wireFormat, java.net.URI remoteLocation, java.net.URI localLocation)` Create a Channel to a remote Node - e.g.
`protected pyrasun.eio.services.bytearray.ByteArrayServerClient` | `createClient(pyrasun.eio.services.EmberServiceController controller, java.net.URI remoteLocation, java.lang.String id)`
`protected pyrasun.eio.services.bytearray.ByteArrayClientService` | `createNioService(pyrasun.eio.services.EmberServiceController controller)` Factory method to create a new ObjectClientService
`boolean` | `requiresEmbeddedBroker()` Does this channel require an embedded broker to perform such as VM or multicast based transports

Methods inherited from class org.codehaus.activemq.transport.ember.EmberSupport
`createJMSException, getContext, getController, getIoPoolingStrategy, getKey, getPoolingStrategyByName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final Log log

Constructor Detail

### EmberTransportChannelFactory

    public EmberTransportChannelFactory()

### EmberTransportChannelFactory

    public EmberTransportChannelFactory(pyrasun.eio.EIOGlobalContext context,
                                        pyrasun.eio.EIOPoolingStrategy ioPoolingStrategy)

Method Detail

### create

    public TransportChannel create(WireFormat wireFormat,
                                   java.net.URI remoteLocation)
                            throws JMSException

  Create a Channel to a remote Node - e.g. a Broker

  Specified by:
    `create` in interface `TransportChannelFactory`
  Parameters:
    `wireFormat` -
    `remoteLocation` -
  Returns:
    the TransportChannel bound to the remote node
  Throws:
    `JMSException`

### create

    public TransportChannel create(WireFormat wireFormat,
                                   java.net.URI remoteLocation,
                                   java.net.URI localLocation)
                            throws JMSException

  Create a Channel to a remote Node - e.g. a Broker

  Specified by:
    `create` in interface `TransportChannelFactory`
  Parameters:
    `wireFormat` -
    `remoteLocation` -
    `localLocation` - - e.g. local InetAddress and local port
  Returns:
    the TransportChannel bound to the remote node
  Throws:
    `JMSException`

### requiresEmbeddedBroker

    public boolean requiresEmbeddedBroker()

  Description copied from interface: `TransportChannelFactory`
  Does this channel require an embedded broker to perform such as VM or multicast based transports

  Specified by:
    `requiresEmbeddedBroker` in interface `TransportChannelFactory`
  Returns:
    true if an embedded broker is a requirement of using the channel

### createClient

    protected pyrasun.eio.services.bytearray.ByteArrayServerClient createClient(pyrasun.eio.services.EmberServiceController controller,
                                                                                java.net.URI remoteLocation,
                                                                                java.lang.String id)
                                                                         throws JMSException,
                                                                                pyrasun.eio.services.EmberServiceException,
                                                                                java.io.IOException

  Parameters:
    `remoteLocation` -
    `id` -
  Returns:
    @throws JMSException
  Throws:
    `pyrasun.eio.services.EmberServiceException`
    `java.io.IOException`
    `JMSException`

### createNioService

    protected pyrasun.eio.services.bytearray.ByteArrayClientService createNioService(pyrasun.eio.services.EmberServiceController controller)
                                                                              throws JMSException

  Factory method to create a new ObjectClientService

  Throws:
    `JMSException` - if it could not be created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.